import { AbstractControl, ValidationErrors } from "@angular/forms";
export declare function startDateTimeIsBeforeEndDateTimeValidator(startDateTime: AbstractControl, endDateTime: AbstractControl): ValidationErrors | null;
export declare function startTimeIsBeforeEndTimeValidator(control: AbstractControl): ValidationErrors | null;
export declare function startDateIsBeforeOrEqualToEndDateValidator(startDate: AbstractControl, endDate: AbstractControl): ValidationErrors | null;
export declare function removeErrorFromField(field: AbstractControl, error: string): void;
export declare function startDateIsBeforeEndDateValidator(startDate: AbstractControl, endDate: AbstractControl): ValidationErrors | null;
